package things;

import java.util.ArrayList;

class ResourceList<T extends NamedResource> extends ArrayList<T> {
    @Override
    public boolean add(T namedResource) {
        for (NamedResource element: this) {
            if (element.getName().equals(namedResource.getName())) {
                return false;
            }
        }
        return super.add(namedResource);
    }

    @Override
    public void add(int index, T namedResource) {
        throw new RuntimeException("Not supported");
    }

    public T find(String name) {
        for (T element: this) {
            if (element.getName().equals(name)) {
                return element;
            }
        }
        return null;
    }
}
